# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [1.0.2] - 2025-06-04

### Fixed
- Fixed Python 3.13 type annotation compatibility issues for documentation build
- Updated union type annotations to use Union from typing module for better compatibility
- Improved ruff linter configuration for type annotation handling

### Documentation
- Enhanced Read the Docs configuration
- Improved documentation build process

## [1.0.1] - 2025-06-04

### Changed
- Updated Python version requirement from 3.8+ to 3.11+
- Enhanced documentation with comprehensive tutorials, examples, and API reference
- Improved README.md formatting and removed emoji characters
- Updated project structure documentation to reflect actual codebase
- Enhanced PEP8 compliance throughout the project

### Fixed
- Fixed line length issues in setup.py for better PEP8 compliance
- Corrected Sphinx configuration for better documentation generation

### Documentation
- Added comprehensive installation guide with system requirements
- Created detailed tutorial with code examples
- Enhanced examples section with practical use cases
- Built complete API reference for all modules and functions
- Improved Sphinx configuration with proper extensions and settings

## [1.0.0] - 2025-06-04

### Added
- Initial project structure
- Core pollution data analysis functionality
- Spatial and temporal extraction capabilities
- Data visualization tools
- Command-line interface
- Comprehensive test suite
- Documentation and examples

### Changed
- Nothing yet

### Deprecated
- Nothing yet

### Removed
- Nothing yet

### Fixed
- Nothing yet

### Security
- Nothing yet
